﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class Validator : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadScheduler1_AppointmentDelete(object sender, Telerik.Web.UI.SchedulerCancelEventArgs e)
    {

    }
    protected void RadScheduler1_AppointmentInsert(object sender, Telerik.Web.UI.SchedulerCancelEventArgs e)
    {

    }
    protected void RadScheduler1_AppointmentUpdate(object sender, Telerik.Web.UI.AppointmentUpdateEventArgs e)
    {

    }
    protected void RadScheduler1_DataBinding(object sender, EventArgs e)
    {
        DataSet callBacks = GetSchedule();
        DataView callBackView = callBacks.Tables["callback"].DefaultView;

        RadScheduler1.DataKeyField = "id";
        RadScheduler1.DataSubjectField = "subject";
        RadScheduler1.DataStartField = "start";
        RadScheduler1.DataEndField = "end";
        RadScheduler1.DataSource = callBackView; 
    }
    protected void RadComboBox1_SelectedIndexChanged(object o, Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs e)
    {
        string selectedCulture = e.Value.Trim();
        System.Globalization.CultureInfo culture = new System.Globalization.CultureInfo(selectedCulture);
        RadScheduler1.Culture = culture; 
    }

    public DataSet GetSchedule()
    {
        return GenerateSchedule();
    }

    public DataSet GenerateSchedule()
    {
        DataTable callBackTable = new DataTable("callback");
        callBackTable.Columns.Add("id");
        callBackTable.Columns.Add("subject");
        callBackTable.Columns.Add("start");
        callBackTable.Columns.Add("end");

        DataRow row = callBackTable.NewRow();
        row["id"] = 1;
        row["subject"] = "CALL";
        row["start"] = (new DateTime(2010, 6, 15, 13, 0, 0)).ToString();
        row["end"] = (new DateTime(2010, 6, 15, 16, 0, 0)).ToString();
        callBackTable.Rows.Add(row);

        DataSet schedule = new DataSet();
        schedule.Tables.Add(callBackTable);
        return schedule;
    } 
}
